import { bluebookAiAgent } from "@/xiaolanbenlib/api/index";

import request from "@/xiaolanbenlib/module/axios.js";
import { TUserInfo, TEntItem, TMyContact, TMyPrivacy } from "@/types/user";



// 获取我的个人信息
export const getMyInfo = () => {
  return request.get<TUserInfo>(`${bluebookAiAgent}api/v1/my/info`,)
}
// 获取我的隐私设置
export const getMyPrivacy = () => {
  return request.get<TMyPrivacy>(`${bluebookAiAgent}api/v1/my/privacy/setting`,)
}
// 设置我的隐私设置
export const setMyPrivacy = (data: TMyPrivacy) => {
  return request.put(`${bluebookAiAgent}api/v1/my/privacy/setting`, data)
}
// 获取我的归属企业列表
export const getMyEntList = () => {
  return request.get<TEntItem[]>(`${bluebookAiAgent}api/v1/my/entList`,)
}
// 提交联系我们
export const saveMyContact = (data: TMyContact) => {
  return request.put(`${bluebookAiAgent}api/v1/my/contactUs`, data)
}

